Subject: bug#1806: dired-pop-to-buffer in wrong place

From: martin rudalics <[email-masked]>
Date: Thu, 15 Jan 2009 11:37:03 +0100

> Actually Dired already displays that list in the Dired window itself
 > when the list is too large and fills the whole window.  But it would be
 > bad to replace the Dired buffer with a small list with 2-3 filename lines
 > and a lot of empty lines.  So it is better to display a separate window
 > near the minibuffer without empty lines using `fit-window-to-buffer'.

Reasonable.  I suppose we should try to stay in the same "column" when
frames are divided horizontally.  Any fallback we should use when a
bottom window can't be split?  Split the selected one?

martin